var importHolidaysDialog = function () {
    return {
        show: showDialog
    };

    function showDialog(params) {
        var dialogElement = VacationManager.Templates.Workdays.Holidays.HolidayDialogs.importHolidaysDialog({
            allHolidaySchemes: params.allHolidaySchemes,
            holidaySchemeId: params.holidaySchemeId
        });
        AJS.$('body').append(dialogElement);
        AJS.dialog2('#importHolidaysDialog').show();

        AJS.$('#importHolidaysDialogFile').change(function () {
            var selectedFileName = AJS.$(this).val();
            if (selectedFileName) {
                enableSubmitButton();
            } else {
                disableSubmitButton();
            }
        });

        AJS.$('#importHolidaysDialogHolidaySchemeIds')
            .auiSelect2({
                placeholder: AJS.I18n.getText('vacationmanager.action.holiday.holidays.select.holiday.schemes')
            });

        AJS.$('#importHolidaysDialogSubmit').click(function (event) {
            event.preventDefault();
            AJS.$('#importHolidaysDialogForm').submit();
        });

        AJS.$('#importHolidaysDialogClose').click(function (event) {
            event.preventDefault();
            closeDialog();
        });
    }

    function closeDialog() {
        AJS.dialog2('#importHolidaysDialog').remove();
    }

    function enableSubmitButton() {
        AJS.$('#importHolidaysDialogSubmit').prop('disabled', false);
    }

    function disableSubmitButton() {
        AJS.$('#importHolidaysDialogSubmit').prop('disabled', 'disabled');
    }
} ();